---

#! jobs/perf-sanity-tests.yaml
suite: perf-sanity-tests
testcase: perf-sanity-tests
category: functional
need_memory: 2G
perf-sanity-tests:
  perf_compiler: clang
job_origin: perf-sanity-tests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-spr-2sp1
tbox_group: lkp-spr-2sp1
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-clang-debian-12-x86_64-20240206.cgz-617824a7f0f7-20240501-48153-1gupcrt-0.yaml"
id: f968997055130a360d1b1eb57a4d32fac87b5aee
queuer_version: "/zday/lkp"

#! /db/releases/20240428214438/lkp-src/hosts/lkp-spr-2sp1
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 6
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401J94P0IGN-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T8_BTLJ207201DG1P0FGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
brand: Intel(R) Xeon(R) Platinum 8480+

#! /db/releases/20240428214438/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240428214438/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240428214438/lkp-src/include/perf-sanity-tests
initrds:
- linux_perf

#! /db/releases/20240428214438/lkp-src/include/queue/cyclic
commit: 617824a7f0f73e4de325cf8add58e55b28c12493

#! /db/releases/20240428214438/lkp-src/include/testbox/lkp-spr-2sp1
ucode: '0x2b0004b1'
kconfig: x86_64-rhel-8.3-bpf
enqueue_time: 2024-05-01 21:36:47.587846839 +08:00
_rt: "/result/perf-sanity-tests/clang/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/617824a7f0f73e4de325cf8add58e55b28c12493"
compiler: gcc-13
head_commit: b7f4c24d9e212d3d2c54bf688257f04ab83a75de
base_commit: e67572cd2204894179d89bd7b984072f19313b03
branch: linux-devel/devel-hourly-20240429-095611
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240430-171959"
arch: x86_64
max_uptime: 1200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-sanity-tests/clang/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/617824a7f0f73e4de325cf8add58e55b28c12493/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/617824a7f0f73e4de325cf8add58e55b28c12493/vmlinuz-6.9.0-rc5-00173-g617824a7f0f7
- branch=linux-devel/devel-hourly-20240429-095611
- job=/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-clang-debian-12-x86_64-20240206.cgz-617824a7f0f7-20240501-48153-1gupcrt-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-bpf
- commit=617824a7f0f73e4de325cf8add58e55b28c12493
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/617824a7f0f73e4de325cf8add58e55b28c12493/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/617824a7f0f73e4de325cf8add58e55b28c12493/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240429151013/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-clang-debian-12-x86_64-20240206.cgz-617824a7f0f7-20240501-48153-1gupcrt-0.cgz"
last_kernel: 6.9.0-rc3-00279-gd1c13e80049d
acpi_rsdp: '0x777fe014'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-13/617824a7f0f73e4de325cf8add58e55b28c12493/vmlinuz-6.9.0-rc5-00173-g617824a7f0f7"
result_root: "/result/perf-sanity-tests/clang/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-13/617824a7f0f73e4de325cf8add58e55b28c12493/0"

#! /cephfs/db/releases/20240501163509/lkp-src/include/site/inn
dequeue_time: 2024-05-01 22:11:53.658089244 +08:00
job_state: finished
loadavg: 33.72 15.98 6.11 1/1926 73644
start_time: '1714572877'
end_time: '1714573364'
version: "/lkp/lkp/.src-20240430-172114:944cf2376ebd:a07ce393cc7d"
